summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2013-09-25 09:39:19 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2013-09-25 09:39:19 +0000
commitdd9a5ba2f78560ae1529f8f3a1ed238e4eefa720 (patch)
tree3ab5356ca48e9a52e923a5096eaf26344f4255c7
parenta6d57c41f2207508525777780338f23cc4254c6d (diff)
parent800b507a85adf435c45ba175b619e059162913bf (diff)
downloadmorph-dd9a5ba2f78560ae1529f8f3a1ed238e4eefa720.tar.gz
Merge branch 'baserock/richardmaw/S8957/build-after-petrify-regression-test'
Reviewed-by: Lars Wirzenius Reviewed-by: Daniel Silverstone
-rwxr-xr-xtests.branching/build-after-petrify.script31
-rw-r--r--tests.branching/petrify.stdout2
-rwxr-xr-xtests.branching/setup-second-chunk2
3 files changed, 33 insertions, 2 deletions
diff --git a/tests.branching/build-after-petrify.script b/tests.branching/build-after-petrify.script
new file mode 100755
index 00000000..d3b75f07
--- /dev/null
+++ b/tests.branching/build-after-petrify.script
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Verify systems can be built after "morph petrify"
+
+set -eu
+
+. "$SRCDIR/tests.branching/setup-second-chunk"
+
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" init
+"$SRCDIR/scripts/test-morph" branch test:morphs test/build-petrify master
+
+"$SRCDIR/scripts/test-morph" petrify
+
+"$SRCDIR/scripts/test-morph" build hello-system
diff --git a/tests.branching/petrify.stdout b/tests.branching/petrify.stdout
index 213c6879..041b21d9 100644
--- a/tests.branching/petrify.stdout
+++ b/tests.branching/petrify.stdout
@@ -9,7 +9,7 @@ chunks:
- build-depends: []
build-mode: test
name: goodbye
- ref: d34c96a9f07c2efd1faabc3b44f77c25580a276e
+ ref: 717c4a523fb5a94ca2f0a61e665fbc2da6a1f6ac
repo: test:goodbye
unpetrify-ref: test/petrify
kind: stratum
diff --git a/tests.branching/setup-second-chunk b/tests.branching/setup-second-chunk
index 9ea09612..32de7d55 100755
--- a/tests.branching/setup-second-chunk
+++ b/tests.branching/setup-second-chunk
@@ -38,7 +38,7 @@ EOF
git commit --quiet -m "Initial commit"
}
-create_chunk "$DATADIR/goodbye" "hello"
+create_chunk "$DATADIR/goodbye" "goodbye"
cd "$DATADIR/morphs"
cat <<EOF > hello-stratum.morph